Vulnerability CVE-2007-5474


Published: 2008-09-05   Modified: 2012-02-12

Description:
The driver for the Linksys WRT350N Wi-Fi access point with firmware 2.00.17 on the Atheros AR5416-AC1E chipset does not properly parse the Atheros vendor-specific information element in an association request, which allows remote authenticated users to cause a denial of service (device reboot or hang) or possibly execute arbitrary code via an Atheros information element with an invalid length, as demonstrated by an element that is too long.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
Atheros Vendor Specific Information Element Overflow
Laurent Butti
05.09.2008

Type:

CWE-20

(Improper Input Validation)

CVSS2 => (AV:N/AC:M/Au:S/C:N/I:N/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.3/10
6.9/10
6.8/10
Exploit range
Attack complexity
Authentication
Remote
Medium
Single time
Confidentiality impact
Integrity impact
Availability impact
None
None
Complete
Affected software
Linksys -> Wrt350n 
Atheros -> Ar5416-ac1e chipset 

 References:
http://securityreason.com/securityalert/4226
http://www.securityfocus.com/archive/1/495984/100/0/threaded
http://www.securityfocus.com/bid/31012
https://exchange.xforce.ibmcloud.com/vulnerabilities/44921

Copyright 2020, cxsecurity.com

 

Back to Top